package com.yc.ship.module.otc.service.print;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.print.vo.PrintPageReqVO;
import com.yc.ship.module.otc.controller.admin.print.vo.PrintSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.print.PrintDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 打印模板 Service 接口
 *
 * @author 管理员
 */
public interface PrintService {

    /**
     * 创建打印模板
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPrint(@Valid PrintSaveReqVO createReqVO);

    /**
     * 更新打印模板
     *
     * @param updateReqVO 更新信息
     */
    void updatePrint(@Valid PrintSaveReqVO updateReqVO);

    /**
     * 删除打印模板
     *
     * @param id 编号
     */
    void deletePrint(Long id);

    /**
     * 获得打印模板
     *
     * @param id 编号
     * @return 打印模板
     */
    PrintDO getPrint(Long id);

    /**
     * 获得打印模板分页
     *
     * @param pageReqVO 分页查询
     * @return 打印模板分页
     */
    PageResult<PrintDO> getPrintPage(PrintPageReqVO pageReqVO);

    /**
     * 获得打印模板列表
     */
    List<PrintDO> getPrintList();

}
